QwtPolarItemDict(3)

NAME
QwtPolarItemDict -

A dictionary for polar plot items.

SYNOPSIS

#include <qwt_polar_itemdict.h>

Inherited by QwtPolarPlot.

  Public Member Functions
QwtPolarItemDict ()
~QwtPolarItemDict ()
void setAutoDelete (bool)
bool autoDelete () const
const QwtPolarItemList & itemList () const
A QwtPolarItemList of all attached plot items.
void detachItems (int rtti=QwtPolarItem::Rtti_PolarItem, bool autoDelete=true)

  Protected Member Functions
void insertItem (QwtPolarItem *)
void removeItem (QwtPolarItem *)

Detailed Description

A dictionary for polar plot items. QwtPolarItemDict organizes polar plot items in increasing z-order. If autoDelete() is enabled, all attached items will be deleted in the destructor of the dictionary.

See Also:
    QwtPolarItem::attach(), QwtPolarItem::detach(), QwtPolarItem::z()

Constructor & Destructor Documentation

  QwtPolarItemDict::QwtPolarItemDict () [explicit]
Constructor

Auto deletion is enabled.

See Also:
    setAutoDelete, attachItem

  QwtPolarItemDict::~QwtPolarItemDict ()
Destructor

If autoDelete is on, all attached items will be deleted

See Also:
    setAutoDelete, autoDelete, attachItem

Member Function Documentation

  bool QwtPolarItemDict::autoDelete () const

Returns:
    true if auto deletion is enabled

See Also:
    setAutoDelete, attachItem

  void QwtPolarItemDict::detachItems (intrtti = QwtPolarItem::Rtti_PolarItem, boolautoDelete = true)
Detach items from the dictionary

Parameters:
    rtti In case of QwtPolarItem::Rtti_PlotItem detach all items otherwise only those items of the type rtti.
    autoDelete If true, delete all detached items

  void QwtPolarItemDict::insertItem (QwtPolarItem *item) [protected]
Insert a plot item

Parameters:
    item PlotItem

See Also:
    removeItem()

  const QwtPolarItemList & QwtPolarItemDict::itemList () const

A QwtPolarItemList of all attached plot items.

Returns:
    List of all attached plot items.

Note:
    Use caution when iterating these lists, as removing/detaching an item will invalidate the iterator. Instead you can place pointers to objects to be removed in a removal list, and traverse that list later.

  void QwtPolarItemDict::removeItem (QwtPolarItem *item) [protected]
Remove a plot item

Parameters:
    item PlotItem

See Also:
    insertItem()

  void QwtPolarItemDict::setAutoDelete (boolautoDelete)
En/Disable Auto deletion

If Auto deletion is on all attached plot items will be deleted in the destructor of QwtPolarItemDict. The default value is on.

See Also:
    autoDelete, attachItem

Author

Generated automatically by Doxygen for Qwt Polar User's Guide from the source code.